package com.huoran.iasf.common.exception.code;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.ToString;

/**
 * 错误码
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
@Getter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public enum BaseResponseCode implements ResponseCodeInterface {
    /**
     * 错误码
     */
    USERNAME_EXISTS(10008, "用户名已存在！"),
    KEY_OR_TOMEUNIT(10009, "key or TomeUnit 不能为空！"),
    DICTIONARY_DATA_FAILED(10010, "获取字典数据失败"),
    UPLOAD_EMPTY(10011, "上传内容为空"),
    UPLOAD_FAILED(10012, "上传失败,上传格式不支持！"),
    VERIFICATION_CODE_ERROR(10007, "验证码错误！"),
    VERIFICATION_CODE_EXPIRED(10006, "验证码已过期！"),
    CANNOT_SAME(10005, "新密码不能与旧密码相同！"),
    EXCEL_FILE_INVALID(10004, "上传excel文件错误！"),
    VALID_EXCEPTION(10003, "参数格式校验异常！"),
    OPERATION_ERROR(10002, "操作失败"),
    SYSTEM_BUSY(500, "系统繁忙，请稍候再试"),
    SUCCESS(200, "success"),

    EXCEL_FILE_FORMAT_ERROR(40007, "请根据模板使用说明录入正确的用户信息！"),
    TOKEN_ERROR(401, "登录凭证已过期，请重新登录"),
    DATA_ERROR(401003, "传入数据异常"),
    NOT_ACCOUNT(401004, "用户名不存在或密码错误"),
    USER_LOCK(401005, "该用户已被锁定，请联系管理员！"),
    PASSWORD_ERROR(401006, "用户名不存在或密码错误"),
    METHOD_ARGUMENT_NOT_VALID_EXCEPTION(400, "参数错误！"),
    ILLEGAL_CHARACTERS(400, "入参中有非法字符，请修改！"),
//    UNAUTHORIZED_ERROR(401008, "权鉴校验不通过"),
    UNAUTHORIZED_ERROR(401008, "无操作权限！"),
    ROLE_PERMISSION_RELATION(401009, "该菜单权限存在子集关联，不允许删除"),
    OLD_PASSWORD_ERROR(401010, "旧密码不正确"),
    NOT_PERMISSION_DELETED_DEPT(401011, "该组织机构下还关联着用户，不允许删除"),
    DELETE_SUB_DEPARTMENTS_FIRST(401018, "请先删除子级部门！"),
    OPERATION_MENU_PERMISSION_CATALOG_ERROR(401012, "操作后的菜单类型是目录，所属菜单必须为默认顶级菜单或者目录"),
    OPERATION_MENU_PERMISSION_MENU_ERROR(401013, "操作后的菜单类型是菜单，所属菜单必须为目录类型"),
    OPERATION_MENU_PERMISSION_BTN_ERROR(401013, "操作后的菜单类型是按钮，所属菜单必须为菜单类型"),
    OPERATION_MENU_PERMISSION_URL_NOT_NULL(401015, "菜单权限的url不能为空"),
    OPERATION_MENU_PERMISSION_URL_PERMS_NULL(401016, "菜单权限的标识符不能为空"),
    ROLE_ERROR(401017, "账号角色被删，请联系管理员添加角色后再试"),
    EXCEL_FILE_NULL(40006, "导入失败，导入数据为空！"),

    DATA_DOES_NOT_EXIST(500, "当前数据不存在"),
    XSS_FILTER(400, "xss攻击检查：参数含有非法攻击字符，请修改后继续操作！"),
    SQL_FILTER(400, "sql攻击检查：参数含有非法攻击字符，请修改后继续操作！"),
    ;

    /**
     * 错误码
     */
    private int code;
    /**
     * 错误消息
     */
    private String msg;

}
