package com.huoran.iasf.common.filter;

import org.apache.commons.lang.StringUtils;
import org.springframework.core.annotation.Order;

import javax.servlet.*;
import javax.servlet.annotation.WebFilter;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@WebFilter(filterName = "xssFilter", urlPatterns = "/*", asyncSupported = true)
@Order(2)
public class XSSFilter implements Filter {

    @Override
    public void init(FilterConfig filterConfig1) throws ServletException {

    }


    @Override
    public void doFilter(ServletRequest arg0, ServletResponse arg1, FilterChain arg2)
            throws IOException, ServletException {

        //注入xss过滤器实例
        if(arg2 != null){
            HttpServletRequest req = (HttpServletRequest) arg0;
            String method = req.getMethod();
            boolean methodB = false;
            if("POST".equalsIgnoreCase(method) || "PUT".equalsIgnoreCase(method)){
                methodB = true;
            }

            if (methodB && req.getContentType() != null && req.getContentType().startsWith("multipart/")) {
                // 过滤
                arg2.doFilter(req, arg1);
            }else {
                HttpServletResponse response = (HttpServletResponse) arg1;
                XssHttpServletRequestWrapper reqW = new XssHttpServletRequestWrapper(req);
                //过滤
                arg2.doFilter(reqW, response);
            }
        }

    }

    @Override
    public void destroy() {
    }


}