package com.huoran.iasf.controller;

import com.huoran.iasf.service.RedisService;
import com.wf.captcha.ArithmeticCaptcha;
import com.wf.captcha.base.Captcha;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 验证码相关
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
@Api(tags = "登录验证码")
@RestController
@Slf4j
@RequestMapping("/sys")
public class CaptchaController {

    @Resource
    private RedisService redisService;
    /**
     * 获取验证码图片
     * Gets captcha code.
     */
/*    @RequestMapping("/getVerify")
    public void getCaptchaCode(HttpServletRequest request, HttpServletResponse response) throws IOException {
        ArithmeticCaptcha captcha = new ArithmeticCaptcha(130, 48);
        captcha.setLen(2);
        CaptchaUtil.out(captcha, request, response);
    }*/

    @ApiOperation(value = "登录验证码")
    @GetMapping(value = "/getVerify",produces = "image/png")
    public void captcha(
            @ApiParam(name = "random", value = "随机数", required = true)
            @RequestParam String random, HttpServletResponse response){
        Captcha captcha = new ArithmeticCaptcha();
        //生成验证码
        String text = captcha.text();
        //缓存验证码
        redisService.setAndExpire(random,text,120);
        response.setContentType(MediaType.IMAGE_PNG_VALUE);
        response.setHeader(HttpHeaders.PRAGMA, "No-cache");
        response.setHeader(HttpHeaders.CACHE_CONTROL, "No-cache");
        response.setDateHeader(HttpHeaders.EXPIRES, 0L);
        try {
            captcha.out(response.getOutputStream());
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

}
