package com.huoran.iasf.controller;


import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.huoran.iasf.common.aop.annotation.LogAnnotation;
import com.huoran.iasf.common.utils.R;
import com.huoran.iasf.entity.Seo;
import com.huoran.iasf.entity.Site;
import com.huoran.iasf.service.SeoService;
import com.huoran.iasf.service.SiteService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author cheney
 * @since 2023-08-24
 */
@Api(tags = "seo管理")
@RestController
@RequestMapping("/seo")
public class SeoController {

    @Autowired
    private SeoService seoService;

    @PostMapping("/add")
    @ApiOperation(value = "新增seo")
    public R addUserGroup(@RequestBody Seo seo) {
        Seo one = seoService.getOne(new QueryWrapper<Seo>().
                eq("title", seo.getTitle()));
        if (ObjectUtil.isNotNull(one)){
            R.fail("seo已存在");
        }
        boolean save = seoService.save(seo);
        return save ? R.success() : R.fail("添加失败");
    }

    @PostMapping("/delete")
    @ApiOperation(value = "删除seo")
    public R deleted(@RequestParam Integer id) {
        boolean remove = seoService.removeById(id);
        return remove ? R.success() : R.fail("删除失败");
    }

    @PostMapping("/update")
    @ApiOperation(value = "更新seo")
    public R update(@RequestBody Seo seo) {
        boolean update = seoService.updateById(seo);
        return update ? R.success() : R.fail("更新失败");
    }


    @GetMapping("/list")
    @ApiOperation(value = "站点seo列表")
    public R list(@RequestParam Integer siteId) {
        QueryWrapper<Seo> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("site_id",siteId);
        List<Seo> list = seoService.list(queryWrapper);
        return R.success(list);
    }

}

