package com.huoran.iasf.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.iasf.common.aop.annotation.NoRepeatSubmit;
import com.huoran.iasf.common.utils.R;
import com.huoran.iasf.entity.SysContentFile;
import com.huoran.iasf.service.SysContentFileService;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestParam;
import io.swagger.annotations.ApiOperation;

import java.util.List;


/**
 * @描述：文章附件管理表控制类
 * @作者: Rong
 * @日期: 2022-11-07
 */
@RestController
@RequestMapping("/content/file")
@Api(value = "文章附件管理表:SysContentFileController", tags = "文章附件管理表")
public class SysContentFileController {

    @Autowired
    public SysContentFileService service;


    @PostMapping("/theAttachmentUnderTheQueryColumn")
    @ApiOperation(value = "查询文章id下的附件", response = SysContentFile.class)
    public R theAttachmentUnderTheQueryColumn(@ApiParam(name = "contentId", value = "文章id", required = true) @RequestParam Integer contentId) {
        QueryWrapper<SysContentFile> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("content_id",contentId);
        List<SysContentFile> sysContentFile = service.list(queryWrapper);
        return R.success(sysContentFile);
    }

    @PostMapping("/findById")
    @ApiOperation(value = "查询详情", response = SysContentFile.class)
    public R findById(@ApiParam(name = "id", value = "主键", required = true) @RequestParam Integer id) {
        SysContentFile sysContentFile = service.getById(id);
        return R.success(sysContentFile);
    }

//    @NoRepeatSubmit
    @PostMapping("/save")
    @ApiOperation(value = "新增", response = SysContentFile.class)
    public R save(@RequestBody  @ApiParam(name = "文章附件管理表对象", value = "传入json格式", required = true) SysContentFile sysContentFile) {
        boolean addState = service.save(sysContentFile);
        return addState ? R.success(sysContentFile.getId()) : R.fail("新增失败");
    }


    @PostMapping("/update")
    @ApiOperation(value = "修改", response = SysContentFile.class)
    public R update(@RequestBody @ApiParam(name = "文章附件管理表对象", value = "传入json格式", required = true) SysContentFile sysContentFile) {
        boolean updateState = service.updateById(sysContentFile);
        return updateState ? R.success() : R.fail("编辑失败");
    }

//    @NoRepeatSubmit
    @PostMapping("/delete")
    @ApiOperation(value = "删除", response = SysContentFile.class)
    public R delete(@ApiParam(name = "id", value = "主键", required = true) @RequestParam Integer id) {
        boolean delState = service.removeById(id);
        return delState ? R.success() : R.fail("删除失败");
    }

    @PostMapping("/batchDeletion")
    @ApiOperation(value = "批量删除", response = SysContentFile.class)
    public R batchDeletion(@ApiParam(name = "id", value = "主键", required = true) @RequestParam List<Integer> ids) {
        boolean delState = service.removeByIds(ids);
        return delState ? R.success() : R.fail("删除失败");
    }
}

