/*
package com.huoran.iasf.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.huoran.iasf.common.aop.annotation.LogAnnotation;
import com.huoran.iasf.common.exception.code.BaseResponseCode;
import com.huoran.iasf.common.job.utils.ScheduleJob;
import com.huoran.iasf.common.utils.R;
import com.huoran.iasf.entity.SysJobEntity;
import com.huoran.iasf.service.SysJobService;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.quartz.TriggerUtils;
import org.quartz.impl.triggers.CronTriggerImpl;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;


*/
/**
 * 定时任务
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 *//*

// @Api(tags = "定时任务")
// @RestController
// @RequestMapping("/sysJob")
public class SysJobController {
    @Resource
    private SysJobService sysJobService;

    @ApiOperation(value = "新增")
    @LogAnnotation(title = "新增")
    @PostMapping("/add")
    @RequiresPermissions("sysJob:add")
    public R add(@RequestBody SysJobEntity sysJob) {
        if (isValidExpression(sysJob.getCronExpression())) {
            return R.fail("cron表达式有误");
        }
        R R = ScheduleJob.judgeBean(sysJob.getBeanName());
        if (BaseResponseCode.SUCCESS.getCode() != R.getCode()) {
            return R;
        }

        sysJobService.saveJob(sysJob);
        return R.success();
    }

    @ApiOperation(value = "删除")
    @DeleteMapping("/delete")
    @RequiresPermissions("sysJob:delete")
    @LogAnnotation(title = "删除")
    public R delete(@RequestBody @ApiParam(value = "id集合") List<String> ids) {
        sysJobService.delete(ids);
        return R.success();
    }

    @ApiOperation(value = "更新")
    @PutMapping("/update")
    @RequiresPermissions("sysJob:update")
    @LogAnnotation(title = "更新")
    public R update(@RequestBody SysJobEntity sysJob) {
        if (isValidExpression(sysJob.getCronExpression())) {
            return R.fail("cron表达式有误");
        }
        R R = ScheduleJob.judgeBean(sysJob.getBeanName());
        if (BaseResponseCode.SUCCESS.getCode() != R.getCode()) {
            return R;
        }

        sysJobService.updateJobById(sysJob);
        return R.success();
    }

    @ApiOperation(value = "查询分页数据")
    @PostMapping("/listByPage")
    @RequiresPermissions("sysJob:list")
    public R findListByPage(@RequestBody SysJobEntity sysJob) {
        LambdaQueryWrapper<SysJobEntity> queryWrapper = Wrappers.lambdaQuery();
        //查询条件示例
        if (!StringUtils.isEmpty(sysJob.getBeanName())) {
            queryWrapper.like(SysJobEntity::getBeanName, sysJob.getBeanName());
        }
        IPage<SysJobEntity> iPage = sysJobService.page(sysJob.getQueryPage(), queryWrapper);
        return R.success(iPage);
    }


    */
/**
     * 立即执行任务
     *//*

    @ApiOperation(value = "立即执行任务")
    @LogAnnotation(title = "立即执行任务")
    @PostMapping("/run")
    @RequiresPermissions("sysJob:run")
    public R run(@RequestBody List<String> ids) {
        sysJobService.run(ids);

        return R.success();
    }

    */
/**
     * 暂停定时任务
     *//*

    @ApiOperation(value = "暂停定时任务")
    @LogAnnotation(title = "暂停定时任务")
    @PostMapping("/pause")
    @RequiresPermissions("sysJob:pause")
    public R pause(@RequestBody List<String> ids) {
        sysJobService.pause(ids);

        return R.success();
    }

    */
/**
     * 恢复定时任务
     *//*

    @ApiOperation(value = "恢复定时任务")
    @LogAnnotation(title = "恢复定时任务")
    @PostMapping("/resume")
    @RequiresPermissions("sysJob:resume")
    public R resume(@RequestBody List<String> ids) {
        sysJobService.resume(ids);
        return R.success();
    }

    */
/**
     * 判断cron表达式
     *
     * @param cronExpression cron表达式
     * @return 是否有误
     *//*

    public static boolean isValidExpression(String cronExpression) {
        CronTriggerImpl trigger = new CronTriggerImpl();
        try {
            trigger.setCronExpression(cronExpression);
            Date date = trigger.computeFirstFireTime(null);
            return date == null || !date.after(new Date());
        } catch (Exception e) {
            return true;
        }
    }


    @ApiOperation(value = "获取运行时间")
    @LogAnnotation(title = "获取运行时间")
    @PostMapping("/getRecentTriggerTime")
    @RequiresPermissions("sysJob:add")
    public R getRecentTriggerTime(String cron) {
        List<String> list = new ArrayList<>();
        try {
            CronTriggerImpl cronTriggerImpl = new CronTriggerImpl();
            cronTriggerImpl.setCronExpression(cron);
            // 这个是重点，一行代码搞定
            List<Date> dates = TriggerUtils.computeFireTimes(cronTriggerImpl, null, 5);
            SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            for (Date date : dates) {
                list.add(dateFormat.format(date));
            }

        } catch (ParseException e) {
            e.printStackTrace();
        }
        return R.success(list);
    }


}
*/
