package com.huoran.iasf.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.iasf.common.annotation.Decrypt;
import io.swagger.annotations.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.iasf.common.utils.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.apache.commons.lang.StringUtils;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestParam;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import com.huoran.iasf.service.SysNavigationStyleService;
import com.huoran.iasf.entity.SysNavigationStyle;

import java.util.List;


/**
 * @描述：导航样式配置控制类
 * @作者: Rong
 * @日期: 2022-09-01
 */
@RestController
@RequestMapping("/sysNavigationStyle")
@Api(value = "导航样式配置:SysNavigationStyleController", tags = "R-导航样式配置")
public class SysNavigationStyleController {

    @Autowired
    public SysNavigationStyleService service;


    @PostMapping("/searchAllBySite")
    @Decrypt
    @ApiOperation(value = "按站点搜索所有", response = SysNavigationStyle.class)
    public R listByEntity(@ApiParam(name = "siteId", value = "站点id", required = true) @RequestBody Integer siteId) {
        QueryWrapper<SysNavigationStyle> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("site_id", siteId);
        List<SysNavigationStyle> pageList = service.list(queryWrapper);
        return R.success(pageList);
    }


    @PostMapping("/findById")
    @ApiOperation(value = "查询详情", response = SysNavigationStyle.class)
    public R findById(@ApiParam(name = "id", value = "主键", required = true) @RequestParam Integer id) {
        SysNavigationStyle sysNavigationStyle = service.getById(id);
        return R.success(sysNavigationStyle);
    }


    @PostMapping("/save")
    @ApiOperation(value = "新增", response = SysNavigationStyle.class)
    public R save(@RequestBody @ApiParam(name = "导航样式配置对象", value = "传入json格式", required = true) SysNavigationStyle sysNavigationStyle) {
        boolean addState = service.save(sysNavigationStyle);
        return addState ? R.success() : R.fail("新增失败");
    }


    @PostMapping("/update")
    @ApiOperation(value = "修改", response = SysNavigationStyle.class)
    public R update(@RequestBody @ApiParam(name = "导航样式配置对象", value = "传入json格式", required = true) SysNavigationStyle sysNavigationStyle) {
        boolean updateState = service.updateById(sysNavigationStyle);
        return updateState ? R.success() : R.fail("编辑失败");
    }


    @PostMapping("/delete")
    @ApiOperation(value = "删除", response = SysNavigationStyle.class)
    public R delete(@ApiParam(name = "id", value = "主键", required = true) @RequestParam Integer id) {
        boolean delState = service.removeById(id);
        return delState ? R.success() : R.fail("删除失败");
    }
}

