package com.huoran.iasf.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.iasf.common.utils.R;
import com.huoran.iasf.entity.SysColumn;
import com.huoran.iasf.entity.SysContent;
import com.huoran.iasf.service.SysColumnService;
import com.huoran.iasf.service.SysContentService;
import com.huoran.iasf.vo.req.ColumnWeightReqVO;
import com.huoran.iasf.vo.req.LongPageColumnReqVO;
import com.huoran.iasf.vo.req.PageContentReqVO;
import com.huoran.iasf.vo.req.PaginationColumnReqVO;
import com.huoran.iasf.vo.resp.PageContentRespVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;


/**
 * @描述：页面管理
 * @作者: Rong
 * @日期: 2022-08-08
 */
@RestController
@RequestMapping("/pageManagement")
@Api(value = "页面管理:SysPageManagementController", tags = "R-页面管理")
public class SysPageManagementController {

    @Autowired
    public SysColumnService columnService;


    /**
     * 需求：当前接口只查栏目类型为长页栏目的数据
     *
     * @param sysContent
     * @return
     */
    @PostMapping("/longPageColumnList")
    @ApiOperation(value = "长页列列表", response = PageContentRespVO.class)
    public R longPageColumnList(@RequestBody @Valid @ApiParam(name = "分页查询参数", value = "传入json格式", required = true) LongPageColumnReqVO sysContent) {
        return columnService.longPageColumnList(sysContent);
    }





}

