package com.huoran.iasf.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * BaseEntity
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
@Data
public class BaseEntity {

    @JSONField(serialize = false)
    @TableField(exist = false)
    @ApiModelProperty(value = "页码",example = "1")
    private int page = 1;

    @JSONField(serialize = false)
    @TableField(exist = false)
    @ApiModelProperty(value = "页数",example = "10")
    private int limit = 10;

    /**
     * 数据权限：用户id
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "用户id")
    private List<String> createIds;

    /**
     * page条件
     * @param <T>
     * @return
     */
    @ApiModelProperty(value = "getQueryPage", hidden = true)
    public <T> Page getQueryPage() {
        return new Page<T>(page, limit);
    }
}
