package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * @描述：长页栏目拓展表
 * @作者: Rong
 * @日期: 2022-08-09
 */
@Data
@ApiModel(value = "长页栏目拓展表")
@TableName("sys_column_long_page")
public class SysColumnLongPage implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Integer id;

    @ApiModelProperty(value = "栏目id")
    @NotNull(message = "栏目id不能为空!")
    private Integer columnId;

    @ApiModelProperty(value = "当前页面版面排序")
    @NotNull(message = "排序不能为空!")
    private Integer sort;

    @ApiModelProperty(value = "创建人id")
    @NotNull(message = "创建人id不能为空!")
    private Integer founderId;

    @ApiModelProperty(value = "编辑人id")
    @NotNull(message = "编辑人id不能为空!")
    private Integer editorId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "是否删除(1未删除；0已删除)")
    @TableLogic
    private Integer deleted;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "内容(编辑前存储的json字符串)")
    private String jsonBeforeEditing;

    @ApiModelProperty(value = "内容(编辑后存储的json字符串)")
    private String theEditedJson;

    @ApiModelProperty(value = "发布状态(0:草稿 1已发布)")
    private Integer state;


}