package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * @描述：文章所属分类
 * @作者: Rong
 * @日期: 2022-11-08
 */
@Data
@ApiModel(value = "文章所属分类")
@TableName("sys_content_classification")
public class SysContentClassification implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "分类名称")
    private String classificationName;

    @ApiModelProperty(value = "创建人id")
    @NotNull(message = "创建人id不能为空")
    private Integer founderId;

    @ApiModelProperty(value = "编辑人id")
    @NotNull(message = "编辑人id不能为空")
    private Integer editorId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;


    @ApiModelProperty(value = "是否删除(1未删除；0已删除)")
    @TableLogic
    private Integer deleted;

    @ApiModelProperty(value = "站点id")
    @NotNull(message = "站点id不能为空!")
    private Integer siteId;

    @ApiModelProperty(value = "模板id(用于区分哪个模板下的分类)")
    @NotNull(message = "模板id不能为空!")
    private Integer templateId;


}