package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @描述：文章附件管理表
 * @作者: Rong
 * @日期: 2022-11-07
 */
@Data
@ApiModel(value = "文章附件管理表")
@TableName("sys_content_file")
public class SysContentFile implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "文章id")
    private Integer contentId;

    @ApiModelProperty(value = "文件名")
    private String fileName;

    @ApiModelProperty(value = "创建人id")
    private Integer founderId;

    @ApiModelProperty(value = "编辑人id")
    private Integer editorId;

    @ApiModelProperty(value = "文件大小")
    private String fileSize;

    @ApiModelProperty(value = "文件格式")
    private String fileFormat;

    @ApiModelProperty(value = "oss文件名")
    private String ossFileName;

    @ApiModelProperty(value = "文件路径")
    private String filePath;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "是否删除(1未删除；0已删除)")
    @TableLogic
    private Integer deleted;


}