package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * 部门
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
@Data
public class SysDept implements Serializable {
    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "部门编号(规则：父级关系编码+自己的编码)")
    private String deptNo;

    @NotBlank(message = "部门名称不能为空")
    @ApiModelProperty(value = "部门名称")
    private String name;

    // @NotBlank(message = "父级不能为空")
    @ApiModelProperty(value = "父级id")
    private Integer pid;

    @TableField(exist = false)
    @ApiModelProperty(value = "父级部门名称")
    private String pidName;

    @ApiModelProperty(value = "状态(1:正常；0:弃用)")
    private Integer status;

    @ApiModelProperty(value = "为了维护更深层级关系")
    private String relationCode;

/*    @ApiModelProperty(value = "部门经理user_id")
    private String deptManagerId;

    @ApiModelProperty(value = "部门经理名称")
    private String managerName;

    @ApiModelProperty(value = "部门经理联系电话")
    private String phone;*/

    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @TableLogic
    private Integer deleted;

}