package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 文件上传
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("sys_files")
public class SysFilesEntity extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private String id;

    @ApiModelProperty(value = "url地址")
    private String url;

    @TableField("file_name")
    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "文件路径")
    private String filePath;

    @TableField("type")
    @ApiModelProperty(value = "文件类型")
    private String type;

    @ApiModelProperty(value = "文件格式")
    private String format;

    @ApiModelProperty(value = "文件大小")
    private Integer fileSize;

    @ApiModelProperty(value = "是否发布（默认0未发布，1已发布）")
    private Integer isRelease;

    @ApiModelProperty(value = "上传人")
    private String uploader;

    @ApiModelProperty(value = "引用地方")
    private String quote;

    @TableField("site")
    @ApiModelProperty(value = "站点来源")
    private String site;

    @ApiModelProperty(value = "是否已删除，未删除表示该文件正在使用")
    @TableLogic
    private Integer deleted;

    @ApiModelProperty(value = "文章是否删除")
    private Integer isDel;

    @ApiModelProperty(value = "引用id")
    private Integer quoteId;

    @ApiModelProperty(value = "0为文章，1为栏目")
    private Integer quoteType;

    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间")
    private Date createDate;
}
