package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 用户
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class SysUser extends BaseEntity implements Serializable {
    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @NotBlank(message = "账号不能为空")
    @ApiModelProperty(value = "账户名称")
    private String username;

    @ApiModelProperty(value = "加密盐值")
    private String salt;

    // @NotBlank(message = "密码不能为空")
    @ApiModelProperty(value = "用户密码")
    private String password;

    @TableField(exist = false)
    @ApiModelProperty(value = "旧密码")
    private String oldPwd;

    @TableField(exist = false)
    @ApiModelProperty(value = "新密码")
    private String newPwd;

    @ApiModelProperty(value = "手机号码")
    private String phone;

    @ApiModelProperty(value = "用户头像路径")
    private String userAvatars;

/*    @TableField(exist = false)
    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @TableField(exist = false)
    @ApiModelProperty(value = "部门编号(规则：父级关系编码+自己的编码)")
    private String deptNo;*/

/*    @TableField(exist = false)
    @ApiModelProperty(value = "部门编号(规则：父级关系编码+自己的编码)")
    private String deptNo;*/

    @ApiModelProperty(value = "真实名称")
    private String realName;

    @ApiModelProperty(value = "工号")
    private String jobNumber;

    @ApiModelProperty(value = "邮箱(唯一)")
    private String email;

    @ApiModelProperty(value = "用户组id")
    private Integer groupId;

    @TableField(exist = false)
    @ApiModelProperty(value = "用户组名称")
    private String groupName;

    @ApiModelProperty(value = "账户状态(1.正常 0.锁定 )")
    private Integer status;

    @ApiModelProperty(value = "性别(1.男 2.女)")
    private Integer sex;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "是否删除(1未删除；0已删除)")
    private Integer deleted;

    @ApiModelProperty(value = "创建人")
    private Integer createId;

    @ApiModelProperty(value = "更新人")
    private Integer updateId;

    @ApiModelProperty(value = "创建来源(1.web 2.android 3.ios )")
    private Integer createWhere;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "最后登陆时间")
    private Date lastLoginTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

/*    @TableField(exist = false)
    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @TableField(exist = false)
    @ApiModelProperty(value = "结束时间")
    private String endTime;*/

    @TableField(exist = false)
    @ApiModelProperty(value = "角色id")
    private List<Integer> roleIds;

    @TableField(exist = false)
    @ApiModelProperty(value = "组织架构id(多个部门id)")
    private List<Integer> deptArchitectureId;

    @TableField(exist = false)
    @ApiModelProperty("随机数")
    // @NotNull(message = "随机数不能为空")
    private String random;

    @TableField(exist = false)
    @ApiModelProperty(value = "验证码")
    private String captcha;
}