package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 用户组
 * </p>
 *
 * @author cheney
 * @since 2022-08-10
 */

@Data
@EqualsAndHashCode(callSuper = true)
@TableName("sys_user_group")
@ApiModel(value="UserGroup对象", description="用户组")
public class UserGroup extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

      @ApiModelProperty(value = "主键")
      @TableId(value = "id", type = IdType.AUTO)
      private Integer id;

      @ApiModelProperty(value = "名称")
      @NotNull(message = "用户组名称不能为空！")
      private String groupName;

      @ApiModelProperty(value = "描述")
      private String description;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "是否删除(1未删除；0已删除)")
    @TableLogic
    private Integer deleted;

}
