package com.huoran.iasf.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.iasf.common.utils.R;
import com.huoran.iasf.entity.SysColumn;
import com.huoran.iasf.entity.SysContent;
import com.huoran.iasf.entity.SysContentClassification;
import com.huoran.iasf.entity.SysContentLabel;
import com.huoran.iasf.vo.req.PageContentReqVO;
import com.huoran.iasf.vo.resp.PageContentRespVO;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @描述：文章管理 Mapper 接口
 * @作者: Rong
 * @日期: 2022-08-05
 */
@Mapper
public interface SysContentMapper extends BaseMapper<SysContent> {
    IPage<PageContentRespVO> articlePaginationList(Page<PageContentRespVO> page, @Param("req") PageContentReqVO req);

    IPage<PageContentRespVO> getPublishedArticles(Page<PageContentRespVO> page, @Param("req") PageContentReqVO req);

    List<SysContentClassification> useTheColumnToGetTagsForTheFullArticle(String ids);

    IPage<SysContent> siteSearchArticles(Page<SysContent> page, @Param("req") PageContentReqVO req);


    List<PageContentRespVO> columnConditionsFilterArticles(@Param("columnId")String columnId);

    /*Integer selectNextId(@Param("content")SysContent sysContent);

    Integer updateSortById(@Param("content")SysContent sysContent);

    Integer selectPreviousId(@Param("content")SysContent sysContent);*/


   List<SysColumn> queryArticleColumnParent(@Param("columnId")Integer columnId);


}