package com.huoran.iasf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.iasf.entity.SysDept;
import com.huoran.iasf.vo.resp.DeptRespNodeVO;

import java.util.List;

/**
 * 部门
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
public interface DeptService extends IService<SysDept> {

    /**
     * 添加部门
     *
     * @param vo vo
     */
    void addDept(SysDept vo);

    /**
     * 更新部门
     *
     * @param vo vo
     */
    void updateDept(SysDept vo);

    /**
     * 删除部门
     *
     * @param id id
     */
    void deleted(String id);

    /**
     * 部门树形列表
     *
     * @param deptId   deptId
     * @return 树形列表
     */
    List<DeptRespNodeVO> deptTreeList(String deptId);


    boolean checkDeptRepeat(SysDept sysDept);
}
