package com.huoran.iasf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.iasf.entity.SysRole;

import java.util.List;

/**
 * 角色
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
public interface RoleService extends IService<SysRole> {

    /**
     * 添加角色
     *
     * @param vo SysRole
     */
    void addRole(SysRole vo);

    /**
     * 更新角色
     *
     * @param vo SysRole
     */
    void updateRole(SysRole vo);

    /**
     * 根据id删除
     *
     * @param id id
     */
    void deletedRole(List<String> ids);

    /**
     * 根据userId获取绑定的角色
     *
     * @param userId userId
     * @return List
     */
    List<SysRole> getRoleInfoByUserId(Integer userId);

    /**
     * 根据userId获取绑定的角色名
     *
     * @param userId userId
     * @return List
     */
    List<String> getRoleNames(Integer userId);

    boolean checkDeptRepeat(SysRole vo);
}
