package com.huoran.iasf.service;

import com.huoran.iasf.common.utils.R;
import com.huoran.iasf.entity.SysContent;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.iasf.vo.req.ArticleModifiedSortReq;
import com.huoran.iasf.vo.req.ContentHeavyTitleReqVO;
import com.huoran.iasf.vo.req.PageContentReqVO;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @描述：文章管理 service接口
 * @作者: Rong
 * @日期: 2022-08-05
 */
public interface SysContentService extends IService<SysContent> {
    //新增栏目前,标题全库判重
    boolean checkIfTheTitleIsRepeat(ContentHeavyTitleReqVO content);

    //分页栏目列表
    R articlePaginationList(PageContentReqVO reqVO);

    //站点最新发布的文章
    R newlyPublishedArticles(PageContentReqVO reqVO);

    //查询已发布的、启用了的文章列表
    R publishedEnabledArticles();

    R getTheFullArticleByColumn(String ids);

    //统计浏览
    Integer statisticsOfPageViews(Integer id);

    List<SysContent> hotContent(Integer sideId);

    R siteSearchArticles(PageContentReqVO req);

    R queryArticleColumnParent(Integer articleId);

//    R modifiedSort(List<ArticleModifiedSortReq> reqList);

//    R modifiedSort(Integer sequenceNumber, Integer articleId);

}