package com.huoran.iasf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.iasf.entity.SysUserRole;
import com.huoran.iasf.vo.req.UserRoleOperationReqVO;

import java.util.List;

/**
 * 用户角色 服务类
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
public interface UserRoleService extends IService<SysUserRole> {

    /**
     * 根据userId获取绑定的角色id
     *
     * @param userId userId
     * @return List
     */
    List getRoleIdsByUserId(Integer userId);

    /**
     * 用户绑定角色
     *
     * @param vo vo
     */
    void addUserRoleInfo(UserRoleOperationReqVO vo);

    /**
     * 根据角色id获取绑定的人
     *
     * @param roleId roleId
     * @return List
     */
    List<Integer> getUserIdsByRoleId(Integer roleId);
}
