package com.huoran.iasf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.iasf.common.utils.R;
import com.huoran.iasf.entity.SysUser;
import com.huoran.iasf.vo.CheckVo;
import com.huoran.iasf.vo.req.UpdatePhoneOrEmailReq;
import com.huoran.iasf.vo.req.UserListReq;
import com.huoran.iasf.vo.resp.LoginRespVO;
import com.huoran.iasf.vo.resp.UserListResp;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.Map;

/**
 * 用户 服务类
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
public interface UserService extends IService<SysUser> {

    /**
     * 注册
     */
    void register(SysUser vo);

    /**
     * 登陆
     */
    LoginRespVO login(SysUser vo);

    /**
     * 更新用户信息
     */
    void updateUserInfo(SysUser vo);

    /**
     * 分页
     */
    R pageInfo(UserListReq userListReq);

    /**
     * 添加用户
     */
    void addUser(SysUser vo);

    /**
     * 修改密码
     */
    void updatePwd(SysUser vo);

    UserListResp detailInfo(Integer id);

    R resetPwd(String userId);

    Map<String, String> importStaff(MultipartFile file);

    void exportFailureRecord(HttpServletResponse response, String exportCode) throws IOException;

    R sendCheckPhoneCode(CheckVo checkVo);

    R updatePhoneOrEmail(UpdatePhoneOrEmailReq updatePhoneOrEmailReq);

    R updateUserAvatars(String userId, MultipartFile file);

    boolean checkPassword(String password);
}
