package com.huoran.iasf.vo.req;

import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @描述：文章管理
 * @作者: Rong
 * @日期: 2022-08-05
 */
@Data
public class PageContentReqVO extends PageReqVO {


    @ApiModelProperty(value = "栏目id")
    private List<Integer> columnIds;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "创建人")
    private String founder;

    @ApiModelProperty(value = "编辑人")
    private String editor;

    @ApiModelProperty(value = "栏目")
    private String column;

    @ApiModelProperty(value = "站点id")
    @NotNull(message = "站点id不能为空!")
    private Integer siteId;

    @ApiModelProperty(value = "标签id（逗号隔开）")
    private String lableId;


    @ApiModelProperty(value = "分类id")
    private Integer classificationId;


    @ApiModelProperty(value = "标签名称")
    private List<String> labelName;


    @ApiModelProperty(value = "召开类型(1.即将召开 2.已经召开)")
    private Integer convokeType;

    private String role;

    private boolean isadmin;

    //多余参数处理，参数值不能出现admin，否则返回400
    private Map<String, String> extraParams = new HashMap<>();
    @JsonAnySetter
    public void setExtraParam(String name, String value) {
        // 在这里可以对额外参数进行验证或处理
        if (name.contains("admin")||value.contains("admin")) {
            throw new IllegalArgumentException("参数名不能包含admin");
        }
        this.extraParams.put(name, value);
    }

    @JsonAnyGetter
    public Map<String, String> getExtraParams() {
        return extraParams;
    }

    @ApiModelProperty(value = "修改时间排序(0默认倒序 1升序)")
    private Integer modifiedTimeSort;

    @ApiModelProperty(value = "发布时间排序(0默认倒序 1升序)")
    private Integer publicationTimeSort;


    @ApiModelProperty(value = "置顶排序(0默认升序 1倒序)")
    private Integer topSort;

    @ApiModelProperty(value = "是否禁用(0默认，0启用 1禁用)")
    private Integer isDisable;

    @ApiModelProperty(value = "专利类别id")
    private Integer patentClassId;

    @ApiModelProperty(value = "申请时间")
    private String applicationDate;

    @ApiModelProperty(value = "专利查询关键词")
    private String patentQueryKeyWord;

    @ApiModelProperty(value = "专著查询关键词")
    private String monographQueryKeyWord;

    @ApiModelProperty(value = "论文查询关键词")
    private String paperQueryKeyWord;

    @ApiModelProperty(value = "出版日期")
    private String  publicationTime;


    @ApiModelProperty(value = "发表年度/出版年度")
    private String  publicationYear;


    @ApiModelProperty(value = "出版开始时间")
    private String  publicationStartTime;

    @ApiModelProperty(value = "出版结束时间")
    private String  endOfPublicationTime;

}