package com.huoran.iasf.vo.req;

import com.fasterxml.jackson.annotation.JsonAnySetter;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.HashMap;
import java.util.Map;

/**
 * @ProjectName: huorantech
 * @Package: com.huoran.occupationlab.entity.req
 * @ClassName: PageReq
 * @Description: 分页
 * @Author: Maureen.Rong
 * @CreateDate: 2021/8/12 15:10
 * @UpdateDate: 2021/8/12 15:10
 * @Version: 1.0
 */
@Data
public class PaginationColumnReqVO extends PageReqVO {

    @ApiModelProperty(value = "栏目名称")
    private String columnName;

    @ApiModelProperty(value = "栏目类型")
    private Integer typeId;

    @ApiModelProperty(value = "栏目模板")
    private Integer templateId;

    @ApiModelProperty(value = "站点id")
    @NotNull(message = "站点id不能为空!")
    private Integer siteId;

    @ApiModelProperty(value = "判断是否为排序接口调用(1为排序接口调用 0我栏目管理列表调用)")
    private Integer isSort;

    private String role;

    private boolean isadmin;

}
