package com.huoran.iasf.vo.resp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @Author chen
 * @DATE 2022/8/15 15:34
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "UserListResp", description = "用户列表")
public class UserListResp implements Serializable {
    // 类的内容
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "组织架构ID")
    private String deptArchitectureId;

    @ApiModelProperty(value = "组织架构名称（部门名称）")
    private String deptArchitectureName;

    @ApiModelProperty(value = "用户组id")
    private String groupId;

    @ApiModelProperty(value = "性别(1.男 2.女)")
    private Integer sex;

    @ApiModelProperty(value = "用户组名称")
    private String groupName;

    @ApiModelProperty(value = "职工姓名")
    private String realName;

    @ApiModelProperty(value = "账户状态(1.正常 0.锁定 )")
    private Integer status;

    @ApiModelProperty(value = "工号")
    private String jobNumber;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    //用于列表逗号隔开展示
    @ApiModelProperty(value = "角色")
    private String roleName;

    @ApiModelProperty(value = "角色id")
    private String roleId;

    @ApiModelProperty(value = "账号")
    private String username;

    @ApiModelProperty(value = "用户id")
    private String id;

    @ApiModelProperty(value = "创建时间")
    private String createTime;

    @ApiModelProperty(value = "最后登陆时间")
    private String lastLoginTime;

    @ApiModelProperty(value = "用户头像路径")
    private String userAvatars;
}
